![banner](https://raw.githubusercontent.com/FairyEver/d2-admin/master/docs/image/banner.png)

<p align="center">
	<a href="https://github.com/d2-projects/d2-admin/stargazers" target="_blank"><img src="https://img.shields.io/github/stars/d2-projects/d2-admin.svg"></a>
	<a href="https://github.com/d2-projects/d2-admin/network/members" target="_blank"><img src="https://img.shields.io/github/forks/d2-projects/d2-admin.svg"></a>
	<a href="https://github.com/d2-projects/d2-admin/issues" target="_blank"><img src="https://img.shields.io/github/issues/d2-projects/d2-admin.svg"></a>
	<a href="https://github.com/d2-projects/d2-admin/issues?q=is%3Aissue+is%3Aclosed" target="_blank"><img src="https://img.shields.io/github/issues-closed/d2-projects/d2-admin.svg"></a>
	<a href="https://github.com/d2-projects/d2-admin/pulls" target="_blank"><img src="https://img.shields.io/github/issues-pr/d2-projects/d2-admin.svg"></a>
	<a href="https://github.com/d2-projects/d2-admin/pulls?q=is%3Apr+is%3Aclosed" target="_blank"><img src="https://img.shields.io/github/issues-pr-closed/d2-projects/d2-admin.svg"></a>
	<a href="https://github.com/d2-projects/d2-admin" target="_blank"><img src="https://img.shields.io/github/last-commit/d2-projects/d2-admin.svg"></a>
</p>
<p align="center">
	<a href="https://github.com/d2-projects/d2-admin" target="_blank"><img src="https://visitor-count-badge.herokuapp.com/today.svg?repo_id=d2-projects.d2-admin"></a>
	<a href="https://github.com/d2-projects/d2-admin" target="_blank"><img src="https://visitor-count-badge.herokuapp.com/total.svg?repo_id=d2-projects.d2-admin"></a>
	<a href="https://github.com/d2-projects/d2-admin/releases" target="_blank"><img src="https://img.shields.io/github/release/d2-projects/d2-admin.svg"></a>
</p>

[D2Admin](https://github.com/d2-projects/d2-admin) is a fully open source and free enterprise back-end product front-end integration solution, using the latest front-end technology stack, javascript files loading of local first screen less than 60kb, has prepared most of the project preparations, and with a lot of sample code to help the management system agile development.

[中文](https://github.com/d2-projects/d2-admin/blob/master/README.zh.md) | **English**

## Preview

![Deploy preview](https://github.com/d2-projects/d2-admin/workflows/Deploy%20preview/badge.svg)
[![Netlify Status](https://api.netlify.com/api/v1/badges/a5dd4bbd-da3f-4145-98a9-8012577bdcf5/deploy-status)](https://app.netlify.com/sites/d2-admin/deploys)

| server | link | server |
| --- | --- | --- |
| d2.pub | [preview](https://d2.pub/d2-admin/preview) | China server |
| cdn.d2.pub | [preview](https://cdn.d2.pub/d2-admin/preview) | qiniu CDN |
| github | [preview](https://d2-projects.github.io/d2-admin) | GitHub pages |
| netlify | [preview](https://d2-admin.netlify.com) | Netlify CDN |

## Document

[document on https://d2.pub](https://d2.pub/zh/doc/d2-admin/)

> d2.pub CDN mirror deployment [https://cdn.d2.pub](https://cdn.d2.pub)

## Features

* Build with vue-cli3
* First screen loading waiting animation
* Five themes
* Built-in UEditor rich text editor
* Detailed documentation
* Login and logout
* Separate routing and menu settings
* Foldable sidebar
* Multi-national language
* Rich text editor
* Markdown editor
* full screen
* Fontawesome icon library
* Icon selector
* Automatically register SVG icon
* Simulation data
* Clipboard package
* Chart library
* Time and date calculation tool
* Import Excel ( xlsx + csv )
* Data export Excel ( xlsx + csv )
* Data export text
* Digital animation
* Drag and drop the size of the block layout
* Grid layout for drag and resize and position
* Out-of-the-box page layout components
* Load and parse markdown files
* GitHub style markdown display component
* markdown internal code highlighting
* Expanded Baidu cloud link resolution and optimized display for markdown
* Right click menu component
* Custom scrollbars and scrolling controls
* Common style extraction, convenient theme customization
* Support temporary menu configuration
* System function display module `1.1.4 +`
* Multi-tab mode `1.1.4 +`
* Beautify the scroll bar `1.1.4 +`
* json view `1.1.4 +`
* cookie wrapper `1.1.5 +`
* Multi-tab global control API `1.1.5 +`
* Menu Global Control API `1.1.5 +`
* Multi-tab page close control support right-click menu `1.1.10 +`
* Modular global state management `1.2.0 +`
* Multiple data persistence methods: distinguish users, distinguish routes, page data snapshot function `1.2.0 +`
* Support for menu system that jumps out of external links `1.2.0 +`
* Support menu svg icon `1.3.0 +`
* Logging and error catching `1.3.0 +`
* Global menu search `1.3.0 +`
* Custom login redirect `1.3.0 +`
* Switch global base component size `1.4.0 +`
* Page loading progress bar `1.4.1 +`
* Adaptive top menu bar `1.4.7 +`
* Support for merging cells when exporting xslx `1.5.4 +`
* Multiple tabs support drag and drop sorting `1.8.0 +`
* load only local JavaScript code less than 60kb on the homepage `1.8.0 +`
* Built in build file volume checking tool `1.8.0 +`

## Other synchronous repositories

| type | link |
| --- | --- |
| gitee | [https://gitee.com/fairyever/d2-admin](https://gitee.com/fairyever/d2-admin) |
| coding | [https://d2-projects.coding.net/p/d2-projects/d/d2-admin/git](https://d2-projects.coding.net/p/d2-projects/d/d2-admin/git) |

## Other versions

| Name | HomePage  | Preview | Introduction |
| --- | --- | --- | --- |
| Starter template | [Github](https://github.com/d2-projects/d2-admin-start-kit) | [preview](https://d2.pub/d2-admin-start-kit/preview) | The simplest version |

## Ecology

| Name | HomePage  | Preview | Introduction |
| --- | --- | --- | --- |
| D2 CRUD | [Github](https://github.com/d2-projects/d2-crud) | [preview](https://d2.pub/d2-admin/preview/#/demo/d2-crud/index) | Table common operation package |
| D2 Ribbons | [Github](https://github.com/d2-projects/d2-ribbons) | [preview](https://github.com/d2-projects/d2-ribbons) | Open source project logo library |

## Derived open source projects

> These projects are contributed by the open source community and are not guaranteed to use the latest version of D2Admin. Please contact their open source authors for related usage questions.

| Name | HomePage | Preview | Introduction |
| --- | --- | --- | --- |
| d2-admin-xiya-go-cms | [Github](https://github.com/d2-projects/d2-admin-xiya-go-cms) | [preview](https://d2.pub/d2-admin-xiya-go-cms/preview) | D2Admin + authority system + dynamic router |
| d2-advance | [Github](https://github.com/d2-projects/d2-advance) | [preview](https://d2.pub/d2-advance/preview) | Technical exploration inspired by D2Admin |
| d2-admin-pm | [Github](https://github.com/wjkang/d2-admin-pm) | [preview](http://jaycewu.coding.me/d2-admin-pm) | RBAC privilege management solution based on D2Admin |
| LanBlog | [Github](https://github.com/sinksmell/LanBlog) | [preview](http://47.101.222.133/) | Vue + Beego restful api personal blog system |
| d2-admin-start-kit-plus | [Github](https://github.com/hank-cp/d2-admin-start-kit-plus) | [preview](https://github.com/hank-cp/d2-admin-start-kit-plus) | D2Admin Start kit modular version |
| d2-crud-plus | [Github](https://github.com/greper/d2-crud-plus) | [preview](http://qiniu.veryreader.com/D2CrudPlusExample/index.html#/index) | Easy development of crud function |

## Open source backend implementation

> The backend is contributed by the open source community. The latest version of D2Admin is not guaranteed. Please contact its open source author for related usage issues.

| Name | technology | HomePage | Preview | Introduction |
| --- | --- | --- | --- | --- |
| **CareyShop** | ThinkPHP5 | [Github](https://github.com/dnyz520/careyshop-admin) | [preview](https://demo.careyshop.cn/admin/#/index) | High Performance Mall Framework System for CareyShop |
| **jiiiiiin-security** | Spring Boot | [Github](https://github.com/Jiiiiiin/jiiiiiin-security) | [preview](https://github.com/Jiiiiiin/jiiiiiin-security) | Separate front-end and back-end content management infrastructure projects, focusing on user rights management functions |
| **Taroco** | Spring Cloud | [Github](https://github.com/liuht777/Taroco) | [preview](http://111.231.192.110/) | Complete microservice enterprise solution |
| **Aooms** | Spring Cloud | [Gitee](https://gitee.com/cyb-javaer/Aooms) | [preview](https://www.yuboon.com/Aooms) | Extremely fast microservice development, not just as simple as JFinal |
| **GOA** | Beego | [Github](https://github.com/Qsnh/goa) | [preview](http://goaio.vip/) | Online question answering system based on Beego + Vue |
| **CMDB** | Django | [Github](https://github.com/CJFJack/django_vue_cmdb) | [preview](https://mp.weixin.qq.com/s?__biz=MzU1OTYzODA4Mw==&mid=2247484250&idx=1&sn=981024ac0580d8a3eba95742bd32b268) | authority system with dynamic menu |

## Badge

If your open source project is based on D2Admin development, please add the following badge to your README:

<a href="https://github.com/d2-projects/d2-admin" target="_blank">
	<img src="https://raw.githubusercontent.com/FairyEver/d2-admin/master/docs/image/d2-admin@2x.png" width="200">
</a>

Copy the following code into the README to:

``` html
<a href="https://github.com/d2-projects/d2-admin" target="_blank"><img src="https://raw.githubusercontent.com/FairyEver/d2-admin/master/docs/image/d2-admin@2x.png" width="200"></a>
```

At the same time, you can report your project to us. We will place the excellent project in D2Admin and help you publicize it.

## Contributor

* [@FairyEver](https://github.com/FairyEver)
* [@sunhaoxiang](https://github.com/sunhaoxiang)
* [@Aysnine](https://github.com/Aysnine)
* [@luchaohai](https://github.com/luchaohai)
* [@han-feng](https://github.com/han-feng)
* [@rongxingsun](https://github.com/rongxingsun)
* [@dnyz520](https://github.com/dnyz520)

## Become a sponsor

[Sponsor me on afdian.net](https://afdian.net/@fairyever)

## Sponsor

**cochlea** | **Baron** | **苦行僧** | **吴地安宁** | **KingDong**

## Visitor

![Total visitor](https://visitor-count-badge.herokuapp.com/total.svg?repo_id=d2-projects.d2-admin)

> Total visitor since 2019.08.27

## Star history

[![Stargazers over time](https://starchart.cc/d2-projects/d2-admin.svg)](https://starchart.cc/d2-projects/d2-admin)

## License

[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2Fd2-projects%2Fd2-admin.svg?type=large)](https://app.fossa.com/projects/git%2Bgithub.com%2Fd2-projects%2Fd2-admin?ref=badge_large)
